- Qt 6.8
- Qt GUI
- C++ Classes
- QOpenGLContextGroup
- Qt 6.8.2 Reference Documentation

# QOpenGLContextGroup Class

The QOpenGLContextGroup class represents a group of contexts sharing OpenGL resources. More...

Header: | `#include <QOpenGLContextGroup>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QObject

- List of all members, including inherited members

## Public Functions

QList<QOpenGLContext *> | shares() const

## Static Public Members

QOpenGLContextGroup * | currentContextGroup()

## Detailed Description

QOpenGLContextGroup is automatically created and managed by QOpenGLContext instances. Its purpose is to identify all the contexts that are sharing resources.

See also QOpenGLContext::shareGroup().

## Member Function Documentation

### `[static]` QOpenGLContextGroup *QOpenGLContextGroup::currentContextGroup()

Returns the QOpenGLContextGroup corresponding to the current context.

See also QOpenGLContext::currentContext().

### QList<QOpenGLContext *> QOpenGLContextGroup::shares() const

Returns all the QOpenGLContext objects in this share group.